<!-----------------------------------------------------------------------
********************************************************************************
Copyright 2005-2007 ColdBox Framework by Luis Majano and Ortus Solutions, Corp
www.coldboxframework.com | www.luismajano.com | www.ortussolutions.com
********************************************************************************

Author     :	Sana Ullah, Curt Gratz
Date        :	Sept 23 2010
Description :
	This proxy is an inherited coldbox remote proxy used for enabling
	coldbox as a model framework.
----------------------------------------------------------------------->
<cfcomponent name="main" extends="coldbox.system.EventHandler" output="false">

	<!--- This init format is mandatory if you are writing init code else is optional,include the super.init(arguments.controller).--->
	<cffunction name="init" access="public" returntype="any" output="false">
		<cfargument name="controller" type="any">
		<cfset super.init(arguments.controller)>
		<!--- Any constructor code here --->
		<cfreturn this>
	</cffunction>
	

	<cffunction name="onAppInit" access="public" returntype="void" output="false">
		<cfargument name="Event" type="any">
		<cfset var locColdBoxProxy = "">
		
		<!--- Get the location of this app's coldboxproxy.cfc --->
		<cfif len(getSetting('AppMapping')) gt 1>
			<cfset locColdBoxProxy = getSetting("AppMapping") & ".coldboxproxy">
		<cfelse>
			<cfset locColdBoxProxy = "coldboxproxy">
		</cfif>
		
		 <!--- Place it on the cache --->
		<cfset getColdBoxOCM().set("locColdBoxProxy",replace(locColdBoxProxy,"/",".","all"), 0)>
		<!--- include files path --->
		<cfset getColdBoxOCM().set("locInclude","../includes/", 0)>
	</cffunction>

	<cffunction name="onRequestStart" access="public" returntype="void" output="false">
		<cfargument name="Event" type="any">
		<!--- Place the proxy location on the rc for ease of use. --->
		<cfset event.setValue('locColdBoxProxy', getColdboxOCM().get('locColdBoxProxy') )>
		
		<!--- Place include-files location in rc scope for ease of use. --->
		<cfset event.setValue('locInclude', getColdboxOCM().get('locInclude') )>
	</cffunction>

	<cffunction name="onRequestEnd" access="public" returntype="void" output="false">
		<cfargument name="Event" type="any">
		<!--- ON Request End Here --->
	</cffunction>
	
	<cffunction name="onSessionStart" access="public" returntype="void" output="false">
		<cfargument name="Event" type="any">
		<!--- ON session start Here --->
	</cffunction>
	
	<cffunction name="onSessionEnd" access="public" returntype="void" output="false">
		<cfargument name="Event" type="any">
		<!--- ON session End Here --->
		<cfset var sessionScope = event.getValue("sessionReference")>
		
	</cffunction>

	<cffunction name="onException" access="public" returntype="void" output="false">
		<cfargument name="Event" type="any">
		<!--- ON Exception Handler Here --->
		<cfscript>
			//Grab Exception From request collection, placed by ColdBox
			var exceptionBean = event.getValue("ExceptionBean");
			//Place exception handler below:

		</cfscript>
	</cffunction>


</cfcomponent>