<!-----------------------------------------------------------------------
Author 	 :	Your Name
Date     :	September 25, 2005
Description :
	This is a ColdBox event handler.

Please note that the extends needs to point to the eventhandler.cfc
in the ColdBox system directory.
extends = coldbox.system.eventHandler

----------------------------------------------------------------------->
<cfcomponent extends="coldbox.system.eventHandler">

	<cfproperty name="i18n" inject="coldbox:plugin:i18n">

	<cffunction name="index" access="public" returntype="void" output="false">
		<cfargument name="event" type="any">
		<cfargument name="rc" type="any">
		<cfargument name="prc" type="any">
		<cfscript>
		//Vars
		var hours = randRange(20,200);

		// Param Values
		event.paramValue("thisLocale", "th_TH");
		event.paramValue("dateF", "0", true);
		event.paramValue("timeF", "2", true);

		//Change Locale
		i18n.setfwLocale( rc.thisLocale );

		//Set variables to display for locale.
		prc.now = i18n.toEpoch(now());
		prc.locales = i18n.getLocales();
		prc.lang = i18n.getFWLanguage();
		prc.country = i18n.getFWCountry();
		//prc.c = i18n.showISOCountry();
		prc.timeZones = i18n.getAvailableTZ();
		prc.serverTZ = i18n.getServerTZ();
		prc.thisTZ = prc.timezones[randRange(1,arrayLen(prc.timeZones))];
		prc.laterOn = i18n.i18nDateAdd(prc.now,"hour",hours,prc.thisTZ);
		prc.usesDST = i18n.usesDST(prc.thisTZ);
		if (prc.usesDST)
			prc.inDST=i18n.inDST( prc.now, prc.thisTZ );

		prc.tDate=i18n.i18nDateFormat(prc.now, prc.dateF, prc.thisTZ);
		prc.tDateTime=i18n.i18nDateTimeFormat( prc.now, prc.dateF, prc.timeF, prc.thisTZ);
		prc.version=i18n.getVersion();
		prc.tzOffset=i18n.getTZOffset(prc.now,prc.thisTZ);

       //Set the view
       event.setView("main/index");
		</cfscript>
	</cffunction>

</cfcomponent>